% DistPlts 26-Feb-2020 

% plots of rho vs distance

% basic initial setup
wipe;
modprelims;

% retrieve inputs
ingrps = { 'Config'; }; inputsdiary;

load([indir sprintf('SpatCorr_meta_%s',inrun)]);
npp =length(ppnam);
nrstn = length(refstns);
load(datfil);
clrs = distinguishable_colors(length(symbs));
nstn = length(STN.Stn);
for ipp = 1:npp
    fprintf('Param Pair %s (%d of %d) \n',ppnam{ipp},ipp,npp);
    load([indir sprintf('SpatCorr_%s_%s',inrun,ppnam{ipp})]);
    fh = figland('on');
    axes;
    ylim(ylm);
    ylabel('rho');
    xlim(xlm);
    xlabel('distance from reference station [km]');
    title([prmpairs{ipp}{3} sprintf(['; only zbathy > 4m; solid '...
        'symbols: |zbathy - zrefbathy| <= %.1f'],zbinwid)]);
    hold;
    grid on;
    lgtxt = refstns;
    for irstn = 1:nrstn
        eval(sprintf('x = DIST.%s;',refstns{irstn}));
        eval(sprintf('y = %s.rho.%s;',ppnam{ipp},refstns{irstn}));
        % find bathy depth of refstn - zref
        ind = find(ismember(STN.Stn,refstns{irstn}));
        zref = STN.zmaxMedn(ind);
        lgtxt{irstn} = [lgtxt{irstn} sprintf(' zrefbathy %.1f',zref)];
        % find all other stations with bathy depths within zbinwid of zref
        asmdp = abs(STN.zmaxMedn-zref) <= zbinwid;
        % use only the subset of those that are > 4 m deep
        gt4 = ones(size(asmdp));
        gt4(58:77) = 0;
        smdp = asmdp & gt4;
        % find all other stations with bathy depths NOT within zbinwid of zref
        adfdp = abs(STN.zmaxMedn-zref) > zbinwid;
        % use only the subset of those that are > 4 m deep
        dfdp = adfdp & gt4;
        if ~any(ismember({'x';'+';'*'},symbs{irstn}))
            lh(irstn) = plot(x(smdp),y(smdp),'marker',symbs{irstn},...
                'color',clrs(irstn,:),'linestyle','none',...
                'markerfacecolor',clrs(irstn,:),...
                'markeredgecolor',clrs(irstn,:));
            if showdfdp
                plot(x(dfdp),y(dfdp),'marker',symbs{irstn},...
                'color',clrs(irstn,:),'linestyle','none');
            end
        else
            lh(irstn) = plot(x(smdp),y(smdp),'marker',symbs{irstn},...
                'color',clrs(irstn,:),'linestyle','none',...
                'markersize',6,'linewidth',1.5);
            if showdfdp
                plot(x(dfdp),y(dfdp),'marker',symbs{irstn},...
                'color',clrs(irstn,:),'linestyle','none');
            end
        end
        clear x y;
    end
    legend(lh,lgtxt,'interpreter','none','location','southwest');
    set(gcf,'paperorientation','portrait');
    eval(sprintf('print -dpng plt/%s_%s;',runname,ppnam{ipp}));
    eval(sprintf('clear %s;',ppnam{ipp}));
    delete(gcf);
    clear lh fh;
end
   
% end of module
diary off;