% RhoMatrix1 04-Mar-2020 

% basic initial setup
wipe;
modprelims;

% retrieve inputs
ingrps = { 'Config'; }; inputsdiary;

load(infil);
load(datfil);

npp = length(prmpairs);
fstnlst = fieldnames(TimSer);
nfstn = length(fstnlst);
nstn = length(STN.Stn);

for ipp = 1:length(prmpairs)
   % create param-pair name
    ppnam{ipp} = sprintf('%s_%s%s',prmpairs{ipp}{1},prmpairs{ipp}{2},...
    prmpairs{ipp}{3});
end

%% plots to explore differences among qh, hr, and dy
xfac = 1.25;
yfac = 1.1;
for igp = 1:6
    figport('on');
    subplot(2,3,1);
    eval(sprintf('vals = %s.rho{:,2:end};',ppnam{3*(igp-1)+1}));
    imagesc(vals);
    caxis([-1 1]);
    colorbar;
    colormap(redblue);
    title('qh (15-min)');
    pos = get(gca,'position');
    set(gca,'position',[pos(1) pos(2) xfac*pos(3) yfac*pos(4)]);
    subplot(2,3,2);
    eval(sprintf('vals = %s.rho{:,2:end};',ppnam{3*(igp-1)+2}));
    imagesc(vals);
    caxis([-1 1]);
    colorbar;
    colormap(redblue);
    title('hr');
    pos = get(gca,'position');
    set(gca,'position',[pos(1) pos(2) xfac*pos(3) yfac*pos(4)]);
    subplot(2,3,3);
    eval(sprintf('vals = %s.rho{:,2:end};',ppnam{3*(igp-1)+3}));
    imagesc(vals);
    caxis([-1 1]);
    colorbar;
    colormap(redblue);
    title('dy');
    pos = get(gca,'position');
    set(gca,'position',[pos(1) pos(2) xfac*pos(3) yfac*pos(4)]);
    subplot(2,3,4);
    eval(sprintf('vals = %s.rho{:,2:end} - %s.rho{:,2:end};',...
                ppnam{3*(igp-1)+1},ppnam{3*(igp-1)+2}));
    imagesc(vals);
    caxis([-0.25 0.25]);
    colorbar;
    colormap(redblue);
    title('qh-hr');
    pos = get(gca,'position');
    set(gca,'position',[pos(1) pos(2) xfac*pos(3) yfac*pos(4)]);
    subplot(2,3,5);
    eval(sprintf('vals = %s.rho{:,2:end} - %s.rho{:,2:end};',...
                ppnam{3*(igp-1)+2},ppnam{3*(igp-1)+3}));
    imagesc(vals);
    caxis([-0.25 0.25]);
    colorbar;
    colormap(redblue);
    title('hr-dy');
    pos = get(gca,'position');
    set(gca,'position',[pos(1) pos(2) xfac*pos(3) yfac*pos(4)]);
    subplot(2,3,6);
    text(0,0.5,sprintf('Corr Coeff Rho\n%s\nx-axis 12 fixed sites\ny-axis 77 srvy stns\n',...
        prmpairs{3*(igp-1)+1}{4}(1:end-6)),'interpreter','none');
    set(gca,'XColor','none','YColor','none');
    eval(sprintf('print -dpng plt/RhoMatrice_CompareAvgPds%s;',ppnam{3*(igp-1)+1}(1:end-2)));
    delete(gcf);
end

% Comparing DO Conc to DO Pct Sat
for igp = 1:3
    figport('on');
    subplot(2,3,1);
    eval(sprintf('vals = %s.rho{:,2:end};',ppnam{igp}));
    imagesc(vals);
    caxis([-1 1]);
    colorbar;
    colormap(redblue);
    title('Conc');
    pos = get(gca,'position');
    set(gca,'position',[pos(1) pos(2) xfac*pos(3) yfac*pos(4)]);
    subplot(2,3,2);
    eval(sprintf('vals = %s.rho{:,2:end};',ppnam{igp+6}));
    imagesc(vals);
    caxis([-1 1]);
    colorbar;
    colormap(redblue);
    title('PctSat');
    pos = get(gca,'position');
    set(gca,'position',[pos(1) pos(2) xfac*pos(3) yfac*pos(4)]);
    subplot(2,3,4);
    eval(sprintf('vals = %s.rho{:,2:end} - %s.rho{:,2:end};',...
                ppnam{igp},ppnam{igp+6}));
    imagesc(vals);
    caxis([-0.05 0.05]);
    colorbar;
    colormap(redblue);
    title('Conc - PctSat');
    pos = get(gca,'position');
    set(gca,'position',[pos(1) pos(2) xfac*pos(3) yfac*pos(4)]);
    subplot(2,3,6);
    ind = findstr(':',prmpairs{igp}{4});
    text(0,0.5,sprintf('Corr Coeff Rho\n%s\nx-axis 12 fixed sites\ny-axis 77 srvy stns\n',...
        prmpairs{igp}{4}(ind+1:end)),'interpreter','none');
    set(gca,'XColor','none','YColor','none');
    eval(sprintf('print -dpng plt/RhoMatrice_CompareDOConcPctSat_%s;',ppnam{igp}(end-1:end)));
    delete(gcf);
end



% end of module
diary off;