% RvsLag 17-Mar-2020 

% basic initial setup
wipe;
modprelims;

% retrieve inputs
ingrps = { 'Config'; }; inputsdiary;

load(lagdatfil);

% prepare legend labels
load(datfil,'STN');
nrstn = length(refstns);
stnlbl = {};
ind = [];
for irstn = 1:nrstn
    stnind(irstn) = find(ismember(STN.Stn,refstns{irstn}));
    stnlbl{irstn} = [refstns{irstn} sprintf(' %.1fm',...
        STN.zmaxMedn(stnind(irstn)))];
end
clear STN;

load(datfil,'DIST');

load(fstnfil,'zdp','SiteAbbr');
for ifstn = 1:length(fstns)
    ind = find(ismember(SiteAbbr,fstns{ifstn}));
    fstndep(ifstn) = zdp(ind);
end

npp = length(ppnam);
npg = 3;
nfrm = 4;
for ipp = 1:npp
    for ipg = 1:npg
        figland('on');
        for ifrm = 1:nfrm
            ifstn = ipg*ifrm;
            if ifstn<12
                subplot(2,2,ifrm);
                xlim([min(lgs) max(lgs)]);
                xlabel(sprintf('Lag (days) of %s',fstns{ifstn}));
                ylim([-1 1]);
                ylabel('r (n>30)');
                hold;
                title(sprintf('%s @ %s (%.1fm)',prmpairs{ipp}{3},...
                    fstns{ifstn},fstndep(ifstn)));
                grid on;
                box on;
                leglbls = {};
                for irstn = 1:nrstn
                    eval(sprintf('dat = %s.%s(%d,2:end).Variables;',...
                        ppnam{ipp},fstns{ifstn},stnind(irstn)));
                    lh(irstn) = plot(lgs,dat,[clrs{irstn} stys{irstn}]);
                    clear dat;
                    dst = eval(sprintf('DIST(stnind(irstn),:).%s',...
                        fstns{ifstn}));
                    leglbls{irstn} = [stnlbl{irstn} sprintf(' %.1fkm',...
                        dst)];
                end
                clear irstn;
                legend(lh,leglbls,'FontSize',8,'Location','Eastoutside');
                clear leglbls lh;
            end
            clear ifstn;
        end
        clear ifrm;
        eval(sprintf('print -dpng plt/%s_Fg%dof3;',ppnam{ipp},ipg));
        delete(gcf);
    end
    clear ipg;
end
clear ipp;

% end of module
diary off;