
%% plot results on maps -- all 77
nfr = 4;
npg = 3;
frwid = 0.5*(1 - 3*hmrg); % unitless, fraction of 8.5in
frhgt = 0.5*(1 - 3*vmrg); % " " 11
% axes limits calc
fstnloc = load(fstnfil);
maxlon = nanmax([STN.Lon; fstnloc.lon]);
minlon = nanmin([STN.Lon; fstnloc.lon]);
maxlat = nanmax([STN.Lat; fstnloc.lat]);
% minlat = nanmin([STN.Lat; fstnloc.lat]);
minlat = nanmin([STN.Lat]); % exclude RWU
lonbuf = lonbuffrac*(maxlon - minlon);
tlonmax = maxlon+lonbuf;
tlonmin = minlon-lonbuf;
latbuf = latbuffrac*(maxlat - minlat);
tlatmax = maxlat+latbuf;
tlatmin = minlat-latbuf;
clear lonbuf latbuf maxlat minlat maxlon minlon;
kmperdeglat = 111.120;
kmperdeglon = kmperdeglat*cos(pi*mean([tlatmin tlatmax])/180);
kmhgt = (tlatmax-tlatmin)*kmperdeglat;
kmwid = (tlonmax-tlonmin)*kmperdeglon;
if frwid*8.5/(frhgt*11) < kmwid/kmhgt
    lonmin = tlonmin;
    lonmax = tlonmax;
    kmhgt = kmwid*(frhgt*11)/(frwid*8.5);
    latmin = mean([tlatmin tlatmax]) - 0.5*kmhgt/kmperdeglat;
    latmax = mean([tlatmin tlatmax]) + 0.5*kmhgt/kmperdeglat;
    clear tlatmin tlatmax;
else
    latmin = tlatmin;
    latmax = tlatmax;
    kmwid = kmhgt*(frwid*8.5)/(frhgt*11);
    lonmin = mean([tlonmin tlonmax]) - 0.5*kmwid/kmperdeglon;
    lonmax = mean([tlonmin tlonmax]) + 0.5*kmwid/kmperdeglon;
    clear tlonmin tlonmax;
end
clear kmperdeglat kmwid kmhgt;
lonmin = lonmin-lonoff;
lonmax = lonmax-lonoff;
cst = load(cstfil);
bathy = load(bathyfil);
bathy.z(isnan(bathy.z)) = 0;
ind = find(bathy.lat>latmin);
bathy.lat = bathy.lat(ind);
bathy.z = flipud(bathy.z);
bathy.z = flipud(bathy.z(ind,:));
clear ind;
bathy.z = -floor(-(bathy.z/3)*3);
% tcm = turbocolormap;
tcm = colormap('parula');
delete(gcf);
ntcm = size(tcm,1);

vrbs = {'RnkAvgBotDO';'RnkAvgDOmin'; 'RnkAvgSrfChl'; 'RnkAvgChlMax';};
labls = {'Rank (asc), all-surv avg, bottom DO conc';...
         'Rank (asc), all-surv avg, profile-min DO conc';...
         'Rank (desc), all-surv avg, surf chlorophyll';...
         'Rank (desc). all-surv avg, profile-max chlorophyll';};
fh = figport('on');
for ifr = 1:nfr % 1 to 4 (frame number within page)
    fprintf('%s (%d of %d) \n',vrbs{ifr},ifr,nfr);
    % bathy & coastline
    x0 = hmrg +  mod(ifr-1,2)*(hmrg+frwid);
    y0 = vmrg + (1-round(ifr/5))*(vmrg+frhgt);
    axes('position',[ x0 y0 frwid frhgt]);
    hold;
    imagesc(bathy.lon,flipud(bathy.lat),bathy.z);
    cm = colormap('gray');
    colormap(cm.^0.6);
    cb = colorbar('Location','manual','Position',... 
        [x0+cbxo y0+cbyo cbw cbh],'Axislocation','in');
    cb.Label.String = 'meters';
    cb.Ticks = fliplr(-[0:3:max(-bathy.z(:))]);
    cb.TickLength = 0.076;
    clear cb x0 y0;
    % coast
    plot(cst.lon,cst.lat,'k');
    xlim([lonmin lonmax]);
    ylim([latmin latmax]);
    set(gca,'xtick',[],'xticklabel',[],...
        'ytick',[],'yticklabel',[]);
    box on;
    % circles (not boilerplate)
    eval(sprintf('dat = STN.%s;',vrbs{ifr}));
    for istn = 1:nstn
        clr = tcm(round(ntcm*dat(istn)/77),:);
        plot(STN.Lon(istn),STN.Lat(istn),'o',...
          'markersize',5,'markerfacecolor',clr,'markeredgecolor',clr);
        clear clr;
    end
    clear dat;
    % title
    title(sprintf('%s',labls{ifr}),'interpreter','none');
    % legend for circles
    for i = 1:10:80
        x = lonmax-leglonoff;
        y = latmax-leglatoff+(i/70)*leglatincr;
        clr = tcm(round(ntcm*i/77),:);
        plot(x,y,'o','markersize',5,'markerfacecolor',clr,...
            'markeredgecolor',clr);
        text(x,y,sprintf('      Rank %d',i));
        clear x y clr;
    end
    clear i
end
clear ifr;
print -dpng plt/map;
delete(gcf);


%% plot results on maps -- only stations deeper than 4m
nfr = 4;
npg = 3;
frwid = 0.5*(1 - 3*hmrg); % unitless, fraction of 8.5in
frhgt = 0.5*(1 - 3*vmrg); % " " 11
% axes limits calc
fstnloc = load(fstnfil);
maxlon = nanmax([STN.Lon; fstnloc.lon]);
minlon = nanmin([STN.Lon; fstnloc.lon]);
maxlat = nanmax([STN.Lat; fstnloc.lat]);
% minlat = nanmin([STN.Lat; fstnloc.lat]);
minlat = nanmin([STN.Lat]); % exclude RWU
lonbuf = lonbuffrac*(maxlon - minlon);
tlonmax = maxlon+lonbuf;
tlonmin = minlon-lonbuf;
latbuf = latbuffrac*(maxlat - minlat);
tlatmax = maxlat+latbuf;
tlatmin = minlat-latbuf;
clear lonbuf latbuf maxlat minlat maxlon minlon;
kmperdeglat = 111.120;
kmperdeglon = kmperdeglat*cos(pi*mean([tlatmin tlatmax])/180);
kmhgt = (tlatmax-tlatmin)*kmperdeglat;
kmwid = (tlonmax-tlonmin)*kmperdeglon;
if frwid*8.5/(frhgt*11) < kmwid/kmhgt
    lonmin = tlonmin;
    lonmax = tlonmax;
    kmhgt = kmwid*(frhgt*11)/(frwid*8.5);
    latmin = mean([tlatmin tlatmax]) - 0.5*kmhgt/kmperdeglat;
    latmax = mean([tlatmin tlatmax]) + 0.5*kmhgt/kmperdeglat;
    clear tlatmin tlatmax;
else
    latmin = tlatmin;
    latmax = tlatmax;
    kmwid = kmhgt*(frwid*8.5)/(frhgt*11);
    lonmin = mean([tlonmin tlonmax]) - 0.5*kmwid/kmperdeglon;
    lonmax = mean([tlonmin tlonmax]) + 0.5*kmwid/kmperdeglon;
    clear tlonmin tlonmax;
end
clear kmperdeglat kmwid kmhgt;
lonmin = lonmin-lonoff;
lonmax = lonmax-lonoff;
cst = load(cstfil);
bathy = load(bathyfil);
bathy.z(isnan(bathy.z)) = 0;
ind = find(bathy.lat>latmin);
bathy.lat = bathy.lat(ind);
bathy.z = flipud(bathy.z);
bathy.z = flipud(bathy.z(ind,:));
clear ind;
bathy.z = -floor(-(bathy.z/3)*3);
tcm = colormap('parula');
delete(gcf);
ntcm = size(tcm,1);

vrbs = {'RnkAvgBotDO';'RnkAvgDOmin'; 'RnkAvgSrfChl'; 'RnkAvgChlMax';};
labls = {'Rank (asc), all-surv avg, bottom DO conc';...
         'Rank (asc), all-surv avg, profile-min DO conc';...
         'Rank (desc), all-surv avg, surf chlorophyll';...
         'Rank (desc). all-surv avg, profile-max chlorophyll';};
fh = figport('on');
for ifr = 1:nfr % 1 to 4 (frame number within page)
    fprintf('%s (%d of %d) \n',vrbs{ifr},ifr,nfr);
    % bathy & coastline
    x0 = hmrg +  mod(ifr-1,2)*(hmrg+frwid);
    y0 = vmrg + (1-round(ifr/5))*(vmrg+frhgt);
    axes('position',[ x0 y0 frwid frhgt]);
    hold;
    imagesc(bathy.lon,flipud(bathy.lat),bathy.z);
    cm = colormap('gray');
    colormap(cm.^0.6);
    cb = colorbar('Location','manual','Position',... 
        [x0+cbxo y0+cbyo cbw cbh],'Axislocation','in');
    cb.Label.String = 'meters';
    cb.Ticks = fliplr(-[0:3:max(-bathy.z(:))]);
    cb.TickLength = 0.076;
    clear cb x0 y0;
    % coast
    plot(cst.lon,cst.lat,'k');
    xlim([lonmin lonmax]);
    ylim([latmin latmax]);
    set(gca,'xtick',[],'xticklabel',[],...
        'ytick',[],'yticklabel',[]);
    box on;
    % circles (not boilerplate)
    eval(sprintf('dat = STN.%s;',vrbs{ifr}));
    for istn = 1:nstn
        clr = tcm(round(ntcm*dat(istn)/77),:);
        if STN.zmaxMedn(istn) > 4
            plot(STN.Lon(istn),STN.Lat(istn),'o',...
              'markersize',5,'markerfacecolor',clr,'markeredgecolor',clr);
        end
        clear clr;
    end
    clear dat;
    % title
    title(sprintf('%s',labls{ifr}),'interpreter','none');
    % legend for circles
    for i = 1:10:80
        x = lonmax-leglonoff;
        y = latmax-leglatoff+(i/70)*leglatincr;
        clr = tcm(round(ntcm*i/77),:);
        plot(x,y,'o','markersize',5,'markerfacecolor',clr,...
            'markeredgecolor',clr);
        text(x,y,sprintf('      Rank %d',i));
        clear x y clr;
    end
    clear i
end
clear ifr;
print -dpng plt/map_gt4;
delete(gcf);

