function tableplot(grplst,C,Clab)
% C is a cell array
% each of its cells is an Nx1 cell array with N strings 
% N is the number of rows of text to print in each square of the plot
ngrp = size(C,1);
maxgrplen = size(C,2);
nrow = length(C{1,1});

cwid = 1/maxgrplen;
chgt = 1/ngrp;
clr = {'r';'b';'g';'m';};
clrstr= {'red';'blue';'green';'magenta'};
fs = 7;

figland('on');
axes;
set(gca,'position',[0.05 0.05 0.9 0.9]);
hold;
for igrp = 1:ngrp
    y0 = 1-(igrp-1)*chgt;
    for istn =1:length(grplst{igrp})
        % stn name heading
        x = (istn-1)*cwid;
        text(x,y0,[' ' grplst{igrp}{istn}],'fontsize',fs,...
             'verticala','top','Interpreter','none');
        y = y0;
        for irow = 1:nrow
            y = y - chgt/(nrow+1);
            text(x,y,C{igrp,istn}{irow},'fontsize',fs,...
                'color',clr{irow},'verticala','top');
        end
        clear y irow;
        plot([x x],[0 1],'k');
    end
    clear istn;
    plot([x+cwid x+cwid],[0 1],'k');
    clear x;
    plot([0 1],[y0 y0],'k');
end
clear igrp;
plot([0 1],[y0-chgt y0-chgt],'k');
clear y0;
% legend (in cell 11.25,2.25)
str = 'Station';
for irow = 1:nrow
    str = strvcat(str,sprintf('\\color{%s}%s',clrstr{irow},Clab{irow}));
end
y = 1 - (2.25-1)*chgt;
x = (11.25-1)*cwid;
text(x,y,str,'fontsize',fs,'verticala','top','edgecolor','k',...
    'backgroundcolor','w');
set(gca,'xtick',[],'ytick',[]);
set(gcf,'paperorientation','portrait');
