wipe;

%% inputs 
xlsnam = 'OxygenSpatialCorrelations.xls';
infil = ['..\SpatCorrCalc\dat\SpatCorr_Config001_OCzmax_OCzmax.mat'];

%% main script
delete(xlsnam);
load(infil);

% metadata sheet
xlswrite(xlsnam,{'dan.codiga@gmail.com NBEP Contract 2018'},...
    'Metadata','A1');
xlswrite(xlsnam,{'Bottom Oxygen, Correlations between Spatial Survey stations'},...
    'Metadata','A3');
xlswrite(xlsnam,{'For Spatial Survey metadata see Task 7, NBEP Report 15-128, NBEP Report 16-132'},'Metadata','A5');

T = OCzmax_OCzmax.rho;
T.Properties.VariableNames{1} = 'Rho';
writetable(T,xlsnam,'Sheet','Figure 7-3');

% remove Sheet1
newExcel = actxserver('excel.application');
newExcel.DisplayAlerts = false;
xls = newExcel.Workbooks.Open([pwd '\' xlsnam],0,false);
xls.Sheets.Item(1).Delete;
xls.Save();
xls.Close();
newExcel.Quit();
delete(newExcel);

% move to final destination
movefile(xlsnam,['../../DataFiles/Plots/' xlsnam]);

